Mailinglist Archive: opensuse-factory (1134 mails)

< Previous Next >
Re: [opensuse-factory] inappropriate hard dependancies on mail?
Am 14.06.2012 13:38, schrieb Christian Boltz:
Hello,

Am Mittwoch, 13. Juni 2012 schrieb Felix Miata:
I tried to remove all of procmail, sendmail and postfix with zypper
rm. Zypper wanted to remove 42 packages, to wit:

Can it not be (a) bug(s) that so much requires mail be installed?

Maybe that only one or two of the packages you listed really requires
postfix, and everything else is caused by a dependency chain (to see an
extreme example, try "rpm -e --test glibc" - funnily zypper will not
even do that and offers to re-install glibc instead)

Can you please run
rpm -e --test postfix procmail # add more packages if needed
to find out which package has a _direct_ dependency?

scary:

susi:~ # rpm -e --test postfix
error: Failed dependencies:
smtp_daemon is needed by (installed) nmh-1.3-14.5.x86_64
smtp_daemon is needed by (installed) fetchmail-6.3.21-6.4.x86_64
susi:~ # rpm -e --test fetchmail
susi:~ # rpm -e --test nmh
error: Failed dependencies:
nmh is needed by (installed) xmh-1.0.2-1.1.x86_64
susi:~ # rpm -e --test xmh
error: Failed dependencies:
xmh is needed by (installed) xorg-x11-7.6_1-1.1.noarch

and I cannot understand why xorg needs xmh and have removed this
dependency from xorg-x11 in sr 124949

see also https://bugzilla.novell.com/show_bug.cgi?id=767063, we need to
fix this properly.

BTW: fetchmail also does not need smtp_daemon...
--
Stefan Seyfried

"Dispatch war rocket Ajax to bring back his body!"
--
To unsubscribe, e-mail: opensuse-factory+unsubscribe@xxxxxxxxxxxx
To contact the owner, e-mail: opensuse-factory+owner@xxxxxxxxxxxx

< Previous Next >
Follow Ups